
#version 330 core
out vec4 FragColor;
  
in vec2 TexCoords;
uniform sampler2D ScreenTexture;
uniform sampler2D PrevScreenTexture;
uniform float   delta;

void main()
{ 
	

	vec4 col1= texture(ScreenTexture, TexCoords);
	vec4 col2= texture(PrevScreenTexture, TexCoords);
	
	float prevWeight = delta*60 * 0.2;
	
    FragColor =((prevWeight*col1) + (1-prevWeight)*col2);
}